=== modified file 'configure.ac'
--- configure.ac	2011-04-09 08:17:33 +0000
+++ configure.ac	2011-04-09 08:31:18 +0000
@@ -590,6 +590,15 @@
 AC_DEFINE_UNQUOTED(PACKAGE_DATA_DIR,  "${package_prefix}/share" ,[path of data])
 AC_SUBST(PACKAGE_DATA_DIR)
 
+AC_ARG_ENABLE(v4l,
+      [  --disable-v4l       Disable usage of v4l],
+      [case "${enableval}" in
+        yes) v4l=yes ;;
+        no)  v4l=no ;;
+        *) AC_MSG_ERROR(bad value ${enableval} for --disable-v4l) ;;
+      esac],[v4l=yes])
+
+if test "$v4l" = "yes" ; then
 dnl check for video4linux headers
 AC_CHECK_HEADERS(linux/videodev.h linux/videodev2.h)
 if test "${ac_cv_header_linux_videodev_h}" = "yes" || \
@@ -599,8 +608,6 @@
 	found_v4l=no
 fi
 
-AM_CONDITIONAL(BUILD_V4L, test x$found_v4l = xyes )
-
 AC_ARG_ENABLE(libv4l,
       [  --disable-libv4l    Disable usage of libv4l, really discouraged],
       [case "${enableval}" in
@@ -632,6 +639,10 @@
 ])
 	fi
 fi
+fi
+
+AM_CONDITIONAL(BUILD_V4L, test x$found_v4l = xyes )
+
 
 dnl ##################################################
 dnl # Check for doxygen

